net.dontdrinkandroot.utils.cli

## Class CommandLineArgumentParser

- java.lang.Object
- - net.dontdrinkandroot.utils.cli.CommandLineArgumentParser

    public class CommandLineArgumentParser
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CommandLineArgumentParser(Object annotatedObject)`

### Method Summary

Methods
`void` `evaluateArguments(String[] args)`
`boolean` `hasErrors()`
`void` `printErrors()`
`void` `printUsage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandLineArgumentParser

    public CommandLineArgumentParser(Object annotatedObject)

### Method Detail

#### evaluateArguments

    public final void evaluateArguments(String[] args)

#### hasErrors

    public final boolean hasErrors()

#### printErrors

    public final void printErrors()

#### printUsage

    public final void printUsage()